package cn.pluss.platform.merchantMenberComsume.impl;

import java.util.List;
import java.util.Map;
import org.springframework.transaction.annotation.Transactional;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import cn.pluss.platform.entity.MerchantMenberComsume;
import cn.pluss.platform.merchantMenberComsume.MerchantMenberComsumeService;
import cn.pluss.platform.mapper.MerchantMenberComsumeMapper;

@Transactional
@Service("merchantMenberComsumeService")
public class MerchantMenberComsumeServiceImpl  implements MerchantMenberComsumeService{

	 private static final Logger logger = LoggerFactory.getLogger( MerchantMenberComsumeServiceImpl.class);


    @Autowired
	  private MerchantMenberComsumeMapper merchantMenberComsumeMapper;

    @Override
    public MerchantMenberComsume queryMerchantMenberComsume(MerchantMenberComsume merchantMenberComsume){
        return merchantMenberComsumeMapper.queryMerchantMenberComsume(merchantMenberComsume);
    }

    @Override
    public List<MerchantMenberComsume> queryMerchantMenberComsumeList(MerchantMenberComsume merchantMenberComsume){
        return merchantMenberComsumeMapper.queryMerchantMenberComsumeList(merchantMenberComsume);
    }
    @Override
    public void saveMerchantMenberComsume(MerchantMenberComsume merchantMenberComsume){
          merchantMenberComsumeMapper.saveMerchantMenberComsume(merchantMenberComsume);
    }
    @Override
    public void updateMerchantMenberComsume(MerchantMenberComsume merchantMenberComsume){
        merchantMenberComsumeMapper.updateMerchantMenberComsume(merchantMenberComsume);
    }
    @Override
    public void deleteMerchantMenberComsume(MerchantMenberComsume merchantMenberComsume){
        merchantMenberComsumeMapper.deleteMerchantMenberComsume(merchantMenberComsume);
    }
    @Override
    public List<MerchantMenberComsume> queryMerchantMenberComsumePage(Map map){
        return merchantMenberComsumeMapper.queryMerchantMenberComsumePage(map);
    }
    @Override
    public Integer queryMerchantMenberComsumePageCount(Map map){
        return merchantMenberComsumeMapper.queryMerchantMenberComsumePageCount(map);
    }
    @Override
    public void saveMerchantMenberComsumeBatch(List<MerchantMenberComsume> merchantMenberComsumeList) {
         merchantMenberComsumeMapper.saveMerchantMenberComsumeBatch(merchantMenberComsumeList);
    }
    
    @Override
    public Double queryMerchantMenberComsumeByTime(Map map){
        return merchantMenberComsumeMapper.queryMerchantMenberComsumeByTime(map)==null ? 0.0 : merchantMenberComsumeMapper.queryMerchantMenberComsumeByTime(map);
    }
}

